Package org.eclipse.mat.snapshot.query

## Class ObjectListResult.Outbound

- java.lang.Object
- - org.eclipse.mat.snapshot.query.ObjectListResult.Outbound

All Implemented Interfaces:
  `IDecorator`, `IIconProvider`, `IResult`, `IResultTree`, `IStructuredResult`

Enclosing class:
  ObjectListResult

    public static class ObjectListResult.Outbound
    extends java.lang.Object

Helper class which describes a tree of objects by outbound references.

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Constructor Summary

Constructors
`Outbound​(ISnapshot snapshot, int[] objectIds)` Construct a outbound references tree

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.URL` `getIcon​(java.lang.Object row)` Get the URL for a row of the tree.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Outbound

    public Outbound​(ISnapshot snapshot,
                    int[] objectIds)

Construct a outbound references tree

Parameters:
  `snapshot` - the snapshot
  `objectIds` - the set of objects to form roots of the trees

### Method Detail

#### getIcon

    public java.net.URL getIcon​(java.lang.Object row)

Get the URL for a row of the tree. Returns either an arrow item or the base icon if no children.

Returns:
  the URL of the icon